Update Product Variant Option
Updates a Variant Option.
Read-Only Fields
- id
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Products | modify | `store_v2_products` |
| Products | read-only | `store_v2_products_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
product_id
option_id
Request
Common Option properties.
id
The unique numerical ID of the option, increments sequentially.
product_id
The unique numerical ID of the product to which the option belongs.
display_name
The name of the option shown on the storefront.
type
The type of option, which determines how it will display on the storefront. Acceptable values: `radio_buttons`, `rectangles`, `dropdown`, `product_list`, `product_list_with_images`, `swatch`. For reference, the former v2 API values are: RB = radio_buttons, RT = rectangles, S = dropdown, P = product_list, PI = product_list_with_images, CS = swatch.
config
The values for option config can vary based on the Modifier created.
sort_order
Order in which the option is displayed on the storefront.
option_values
image_url
Publicly available image url
Response
data
Common Option properties.
meta
Response metadata.
Errors
409
Conflict Error
422
Unprocessable Entity Error